from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XBrowseHistoryRegistry(XInterface, Protocol):
    def updateViewData(self, Value: Any) -> None: ...
    def createNewEntry(self, URL: str, Arguments: PropertyValue>, Title: str) -> None: ...
